Bug 891280 - [RFE] [Admin Portal] - Add a Console button in Hosts -->VMs tab.
[RFE] [Admin Portal] - Add a Console button in Hosts -->VMs tab.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2.0
Assigned To: Michal Skrivanek
Jiri Belka
virt
: EasyFix, FutureFeature, Improvement
Depends On: 772442
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-02 07:41 EST by Itamar Heim
Modified: 2014-01-01 03:44 EST (History)
12 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Enhancement
Doc Text:
Sometimes it is necessary to open the VM console from the HOSTS view in order to check on things such as Status.Currently the console can only be opened from the VM tab. A button has been added to the HOSTS view subtab to enable the VM console window to be opened from this location.
Story Points: ---
Clone Of: 772442
Environment:
Last Closed: 2013-06-10 17:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10303 None None None Never

  None (edit)
Description Itamar Heim 2013-01-02 07:41:27 EST
cloning for rhev documenation/tracking

+++ This bug was initially created as a clone of Bug #772442 +++

Description of problem:

Sometimes it is needed to open the VM's console from HOSTs View (to check status, etc) and it will be much better if an option to open VNC/SPICE will be available within the HOST's VMs view.
See the location of the proposed button (red box) in the attachment.

--- Additional comment from zvi on 2012-01-08 04:04:24 EST ---

Created attachment 551404 [details]
Console button location

--- Additional comment from Yaniv Kaul on 2012-01-08 05:47:08 EST ---

It's a very old RFE,  btw, but please move to upstream.

--- Additional comment from Noura El hawary on 2012-02-14 05:59:32 EST ---

User zfridler@redhat.com's account has been closed

--- Additional comment from Itamar Heim on 2012-12-17 02:41:03 EST ---

Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

--- Additional comment from Yaniv Kaul on 2012-12-17 02:48:22 EST ---

I need this on a daily basis.

--- Additional comment from Libor Spevak on 2012-12-17 11:24:37 EST ---

Created attachment 664976 [details]
VM view 1

--- Additional comment from Libor Spevak on 2012-12-17 11:25:20 EST ---

Created attachment 664977 [details]
VM view 2

--- Additional comment from Libor Spevak on 2012-12-17 11:35:33 EST ---

Tested in FF.

I added 2 images - 664976 (selected HOST + subview VM), 664977 (selected VM only).

The first view contains text only buttons: Suspend, Shutdown, Migrate

The second contains image buttons.

So, this is a little bit different then proposed new design.

Should it be somehow unified? e.g. both panels should contain buttons of the same type? Better buttons with image icon?

--- Additional comment from Libor Spevak on 2012-12-18 10:02:20 EST ---

Created attachment 665552 [details]
VM view 3

--- Additional comment from Libor Spevak on 2012-12-18 10:14:11 EST ---

I propose the change as in attachment 665552 [details], but it is GUI change.

Must be confirmed by product manager.

I would also propose separators between groups of buttons, but this will be possible after other changes merge.

--- Additional comment from Einav Cohen on 2012-12-19 14:32:17 EST ---

(In reply to comment #10)
> I propose the change as in attachment 665552 [details], but it is GUI change.

ack

> 
> Must be confirmed by product manager.
> 
> I would also propose separators between groups of buttons, but this will be
> possible after other changes merge.

there is already a WIP on this issue (http://gerrit.ovirt.org/#/c/6102/), we can indeed look into it separately.

--- Additional comment from Libor Spevak on 2012-12-21 10:04:23 EST ---

Posted:
http://gerrit.ovirt.org/#/c/10303/

--- Additional comment from Libor Spevak on 2013-01-02 05:08:32 EST ---

Merged to master.
Comment 1 Jiri Belka 2013-01-25 12:13:11 EST
OK, sf4.
Comment 2 Cheryn Tan 2013-04-03 02:51:00 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 4 errata-xmlrpc 2013-06-10 17:31:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.